Subject: Re: bug#35324: SDDM shows black screen instead of login prompt

From: Diego Nicola Barbato <[email-masked]>
Date: Sat, 04 Apr 2020 18:41:30 +0200

Hi Marius,

Marius Bakke <[email-masked]> writes:

> Diego Nicola Barbato <[email-masked]> writes:
>
>> Hello Guix,
>>
>> As already mentioned on IRC SDDM does not work for me.
>>
>> This is what I tried:
>>
>> $ qemu-system-x86_64 -enable-kvm -snapshot -m 6G $(guix system vm-image --image-size=24G config.scm)
>>
>> After booting I get a black screen instead of a greeter.  I have
>> attached the config.scm, Xorg.log, and sddm.log.
>
> I believe this issue has been fixed, please reopen if you still
> experience problems.  Thanks!

If I try what I described in my original bug report I still (commit
f2d97d5) get a black screen.  If I run

  $(guix system vm config.scm) -m 6G -enable-kvm

instead it works as expected (I get a login screen).  So it looks like
some runtime dependency doesn't make it into the vm-image.

This issue seems limited to this special case (no one else has since
complained about it) so I'll leave this closed.

Regards,

Diego